| Elektra 0.11.0

Public Member Functions | List of all members
org.libelektra.PluginLoader Class Reference

This class can be used to load plugins from Elektra. More...

## Public Member Functions
| PluginLoader (Key errorKey)
| Instantiates a new PluginLoader with the possibility to add a custom error key.
| PluginLoader ()
| Instantiates a new PluginLoader with a default error key which is empty.
Plugin | loadElektraPlugin (String name) throws InstallationException
| This plugin loads a Native Elektra Plugin.

## Detailed Description

This class can be used to load plugins from Elektra.

## Constructor & Destructor Documentation

## ◆ PluginLoader()

org.libelektra.PluginLoader.PluginLoader | ( | Key | errorKey | ) |
| inline

Instantiates a new PluginLoader with the possibility to add a custom error key.

Parameters

  errorKey | The custom error key

## Member Function Documentation

## ◆ loadElektraPlugin()

Plugin org.libelektra.PluginLoader.loadElektraPlugin | ( | String | name | ) | throws InstallationException
| inline

This plugin loads a Native Elektra Plugin.

Parameters

  name | the plugin name

Returns
  the Plugin

Exceptions

  InstallationException | if the plugin does not exist

The documentation for this class was generated from the following file:

- PluginLoader.java